---
title: '`glab todo done`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Mark a to-do item as done.

## Synopsis

Pass a to-do item's ID to mark that single item as done, or use
`--all` to mark every pending item as done at once.

Find item IDs with `glab todo list`.

```plaintext
glab todo done [<id>] [flags]
```

## Examples

```console
glab todo done 123
glab todo done --all

```

## Options

```plaintext
      --all   Mark all pending to-do items as done.
```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```
